summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index 3e47374..2cf8062 100755
--- a/tests.sh
+++ b/tests.sh
@@ -395,6 +395,7 @@ gnu_tests=(
test_printf_times
test_printf_leak
test_printf_nul
+ test_printf_Y_error
test_quit_after_print
test_quit_before_print
test_fstype
@@ -1400,6 +1401,21 @@ function test_printf_w() {
bfs_diff times -false -printf '%w %WY\n'
}
+function test_printf_Y_error() {
+ rm -rf scratch/*
+ mkdir scratch/foo
+ chmod -x scratch/foo
+ ln -s foo/bar scratch/bar
+
+ bfs_diff scratch -printf '(%p) (%l) %y %Y\n' 2>/dev/null
+ local ret=$?
+
+ chmod +x scratch/foo
+ rm -rf scratch/*
+
+ return $ret
+}
+
function test_fstype() {
fstype="$(invoke_bfs basic -maxdepth 0 -printf '%F\n')"
bfs_diff basic -fstype "$fstype"